## f-irc 1.31

=== Makefile ===
# GPLv2 applies
# SVN revision: $Revision: 783 $
# (C) 2006-2014 by folkert@vanheusden.com
VERSION=1.31

DESTDIR=/usr/local
SYSCONFDIR=/etc

DEBUG=-O3 -g
LDFLAGS+=-lpanelw -lncursesw -pthread -lm -rdynamic
CFLAGS+=-DVERSION=\"$(VERSION)\" -DSYSCONFDIR=\"$(DESTDIR)$(SYSCONFDIR)\" $(DEBUG) -Wall -pedantic

FILES=*.c *.h firc.* f-irc.1 Makefile readme.txt license.txt faq.txt changelog.gz
DOCS=firc.conf changelog.gz readme.txt faq.txt
PACKAGE=fi-$(VERSION).tgz

OBJS=string_array.o main.o theme.o buffer.o channels.o error.o utils.o loop.o term.o tcp.o irc.o user.o names.o config.o dcc.o utf8.o key_value.o wordcloud.o grep_filter.o nickcolor.o chistory.o autocomplete.o checkmail.o servers.o colors.o ansi.o soundex.o ignores.o dictionary.o lf_buffer.o ctcp.o headlines.o help.o scrollback.o #mssl.o

all: f-irc

f-irc: $(OBJS)
	$(CC) $(DEBUG) $(OBJS) $(LDFLAGS) -o f-irc

install-docs-base:
	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/f-irc
	cp -a $(DOCS) $(DESTDIR)$(PREFIX)/share/doc/f-irc

install-docs-wlicense: install-docs-base
	cp -a license.txt $(DESTDIR)$(PREFIX)/share/doc/f-irc

install-nodocs: f-irc install-gen

install-debian: f-irc install-gen install-docs-base

install: f-irc install-gen install-docs-wlicense

install-gen:
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	rm -f $(DESTDIR)$(PREFIX)/bin/fi
	cp -a f-irc $(DESTDIR)$(PREFIX)/bin/f-irc
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
	cp f-irc.1 $(DESTDIR)$(PREFIX)/share/man/man1

deb:
	rm -rf d
	mkdir -p d/tmp
	cp -a $(FILES) debian/ d/tmp
	cp license.txt d/tmp/debian/copyright
	sed -i 's/^DEBUG=.*/DEBUG=-O3 -g/g' d/tmp/Makefile
	make package
	mv $(PACKAGE) d/f-irc_$(VERSION).orig.tar.gz
	cd d/tmp ; debuild -k'Folkert van Heusden <mail@vanheusden.com>'

clean:
	rm -f $(OBJS) f-irc core log.log gmon.out *.da

package:
	# source package
	rm -rf fi-$(VERSION)*
	mkdir fi-$(VERSION)
	cp $(FILES) fi-$(VERSION)
	sed -i 's/^DEBUG=.*/DEBUG=-O3 -g/g' fi-$(VERSION)/Makefile
	tar czf $(PACKAGE) fi-$(VERSION)
	rm -rf fi-$(VERSION)

daily: package
	scp $(PACKAGE) folkert@vps001.vanheusden.com:www/daily_f-irc/`date +%Y-%m-%d`.tgz

cppcheck:
	cppcheck -v --enable=all --std=c++11 --inconclusive -I. . 2> err.txt
	make clean
	scan-build make

coverity: clean
	rm -rf cov-int
	cov-build --dir cov-int make clean all
	tar vczf ~/site/coverity/f-irc.tgz README cov-int/
	putsite -q
	/home/folkert/.coverity-fi.sh

=== debian/changelog ===
f-irc (1.31-1) unstable; urgency=low

  * New upstream release.

 -- Folkert van Heusden <mail@vanheusden.com>  Mon, 20 Jan 2014 11:30:00 +0100

f-irc (1.30-1) unstable; urgency=low

  * New upstream release.

 -- Folkert van Heusden <mail@vanheusden.com>  Fri,  1 Jan 2014 11:30:00 +0100

f-irc (1.29-1) unstable; urgency=low

  * New upstream release.

 -- Folkert van Heusden <mail@vanheusden.com>  Fri, 27 Dec 2013 11:30:00 +0100

f-irc (1.28-1) unstable; urgency=low

  * New upstream release.

 -- Folkert van Heusden <mail@vanheusden.com>  Fri, 20 Dec 2013 23:40:00 +0100

f-irc (1.26-1) unstable; urgency=low

  * Initial release. (Closes: #728776)

 -- Folkert van Heusden <mail@vanheusden.com>  Fri, 29 Nov 2013 11:03:06 +0100

=== debian/watch ===
version=3
http://www.vanheusden.com/f-irc/fi-([0-9].+)\.tgz

## f-irc 1.36

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # GPLv2 applies
-# SVN revision: $Revision: 783 $
+# SVN revision: $Revision: 865 $
 # (C) 2006-2014 by folkert@vanheusden.com
-VERSION=1.31
+VERSION=1.36
 
 DESTDIR=/usr/local
 SYSCONFDIR=/etc
@@ -14,7 +14,7 @@
 DOCS=firc.conf changelog.gz readme.txt faq.txt
 PACKAGE=fi-$(VERSION).tgz
 
-OBJS=string_array.o main.o theme.o buffer.o channels.o error.o utils.o loop.o term.o tcp.o irc.o user.o names.o config.o dcc.o utf8.o key_value.o wordcloud.o grep_filter.o nickcolor.o chistory.o autocomplete.o checkmail.o servers.o colors.o ansi.o soundex.o ignores.o dictionary.o lf_buffer.o ctcp.o headlines.o help.o scrollback.o #mssl.o
+OBJS=string_array.o main.o theme.o buffer.o channels.o error.o utils.o loop.o term.o tcp.o irc.o user.o names.o config.o dcc.o utf8.o key_value.o wordcloud.o grep_filter.o nickcolor.o chistory.o autocomplete.o checkmail.o servers.o colors.o ansi.o soundex.o ignores.o dictionary.o lf_buffer.o ctcp.o headlines.o help.o scrollback.o
 
 all: f-irc
 
@@ -41,7 +41,7 @@
 	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
 	cp f-irc.1 $(DESTDIR)$(PREFIX)/share/man/man1
 
-deb:
+deb: package
 	rm -rf d
 	mkdir -p d/tmp
 	cp -a $(FILES) debian/ d/tmp

=== debian/changelog ===
f-irc (1.36-1build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:22:11 +0000

f-irc (1.36-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:40:54 +0000

f-irc (1.36-1) unstable; urgency=low

  * New upstream release.

 -- Folkert van Heusden <mail@vanheusden.com>  Sun, 23 Feb 2014 11:30:00 +0100

f-irc (1.35-1) unstable; urgency=low

  * New upstream release.

 -- Folkert van Heusden <mail@vanheusden.com>  Thu, 20 Feb 2014 11:30:00 +0100

f-irc (1.34-1) unstable; urgency=low

  * New upstream release.

 -- Folkert van Heusden <mail@vanheusden.com>  Fri, 14 Feb 2014 11:30:00 +0100

=== debian/control ===
Source: f-irc
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Folkert van Heusden <mail@vanheusden.com>
Section: comm
Priority: optional
Standards-Version: 3.9.5
Build-Depends: libncursesw5-dev, debhelper (>= 9.20130921)
Homepage: http://www.vanheusden.com/f-irc/

Package: f-irc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: znc
Description: user-friendly IRC client for the console/terminal
 F-IRC is an IRC client for terminals/command-line/console.
 Its goal is to be as user friendly as possible with easy
 navigation and keyboard shortcuts for quick navigation. It
 has an as much a gentle learning curve as possible.
